package com.house365.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2017/2/8</p>
 *
 * @author XN
 * @version 1.0
 */
@Component
@ConfigurationProperties(prefix = "hgs")
public class HgsProp {

    private String hgsUrl;

    private String domain;

    private String prefix;

    private String urlPrefix;

    public String getHgsUrl() {
        return hgsUrl;
    }

    public void setHgsUrl(String hgsUrl) {
        this.hgsUrl = hgsUrl;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getPrefix() {
        return prefix;
    }

    public void setPrefix(String prefix) {
        this.prefix = prefix;
    }

    public String getUrlPrefix() {
        return urlPrefix;
    }

    public void setUrlPrefix(String urlPrefix) {
        this.urlPrefix = urlPrefix;
    }
}
